Dokaai
Notification handlers

Get Notification Handler Event

Get a notification handler event by id.

GET
/nudge/projects/{projectId}/notification-handlers/{notificationHandlerId}/events/{notificationHandlerEventId}

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string
notificationHandlerId*string
notificationHandlerEventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/v1/dokaai/nudge/projects/string/notification-handlers/string/events/string"
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "organizationId": "string",
    "notificationHandlerId": "string",
    "productSpaceId": "string",
    "idempotencyKey": "string",
    "overrideOptions": {
      "recipients": [
        {
          "emailId": "string",
          "phoneNumber": "string",
          "pinCode": "string",
          "countryIsoCode": "string",
          "timeZone": "string",
          "pushContactPoints": [
            {
              "provider": "firebaseCloudMessaging",
              "token": "string",
              "platform": "ios"
            }
          ],
          "uniqueCustomerId": "string"
        }
      ],
      "templateData": {},
      "enabledOnlyChannels": [
        "in_app"
      ],
      "metadata": {
        "eventName": "string",
        "tags": [
          "string"
        ],
        "utm": {
          "source": "string",
          "medium": "string",
          "campaign": "string",
          "term": "string"
        },
        "traceId": "string"
      },
      "channelOverrides": {
        "email": {
          "from": "string",
          "senderName": "string",
          "replyTo": "string",
          "bcc": [
            "string"
          ],
          "providerOptions": {}
        },
        "sms": {
          "from": "string",
          "providerOptions": {}
        }
      }
    },
    "handlerExecutionSnapshot": {
      "id": "string",
      "handlerId": "string",
      "name": "string",
      "notificationTypeKind": "TRANSACTIONAL",
      "sendPoliciesByChannel": {
        "in_app": {
          "dnd": {
            "enabled": true,
            "startMin": 0,
            "endMin": 0,
            "timezone": "string",
            "action": "delay"
          },
          "allowCriticalDNDBypass": true,
          "dndSubTypesByPassIds": [
            "string"
          ]
        },
        "email": {
          "dnd": {
            "enabled": true,
            "startMin": 0,
            "endMin": 0,
            "timezone": "string",
            "action": "delay"
          },
          "allowCriticalDNDBypass": true,
          "dndSubTypesByPassIds": [
            "string"
          ]
        },
        "sms": {
          "dnd": {
            "enabled": true,
            "startMin": 0,
            "endMin": 0,
            "timezone": "string",
            "action": "delay"
          },
          "allowCriticalDNDBypass": true,
          "dndSubTypesByPassIds": [
            "string"
          ]
        },
        "chat": {
          "dnd": {
            "enabled": true,
            "startMin": 0,
            "endMin": 0,
            "timezone": "string",
            "action": "delay"
          },
          "allowCriticalDNDBypass": true,
          "dndSubTypesByPassIds": [
            "string"
          ]
        },
        "push": {
          "dnd": {
            "enabled": true,
            "startMin": 0,
            "endMin": 0,
            "timezone": "string",
            "action": "delay"
          },
          "allowCriticalDNDBypass": true,
          "dndSubTypesByPassIds": [
            "string"
          ]
        },
        "whatsApp": {
          "dnd": {
            "enabled": true,
            "startMin": 0,
            "endMin": 0,
            "timezone": "string",
            "action": "delay"
          },
          "allowCriticalDNDBypass": true,
          "dndSubTypesByPassIds": [
            "string"
          ]
        }
      },
      "customerPreference": {
        "type": "topic",
        "group": {
          "id": "string",
          "channels": [
            "in_app"
          ]
        },
        "topic": {
          "id": "string",
          "channels": [
            "in_app"
          ]
        }
      },
      "channels": [
        {
          "id": "string",
          "channelType": "in_app",
          "isUserPreferenceRequired": true
        }
      ],
      "recipientCriteria": {
        "sourceType": "payload_based",
        "cohortSegmentId": "string",
        "targetAudienceListId": "string",
        "isOverrideApplied": true
      }
    },
    "snapshotVersion": 0,
    "notificationHandlerEventStatus": "pending",
    "mode": "live",
    "createdDate": "string",
    "modifiedDate": "string",
    "isActive": true,
    "isDeleted": true,
    "notificationHandler": {
      "id": "string",
      "name": "string",
      "description": "string"
    },
    "notificationHandlerEventExecution": {
      "id": "string",
      "handlerEventId": "string",
      "organizationId": "string",
      "projectId": "string",
      "status": "string",
      "executionSummary": null,
      "lastErrorClass": "string",
      "lastErrorCode": "string",
      "lastErrorMessage": "string",
      "startedAt": "string",
      "completedAt": "string"
    }
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}